#!/bin/sh

if [ -z "$1" ]; then
	echo "--------------------------------------------------------------"
	echo " LinM 0.7.8 cygwin version install."
	echo ""
	echo " ./install.sh [installpath]"
	echo ""
	echo " ex)"
	echo " ./install.sh /usr/bin"
	echo "--------------------------------------------------------------"
	exit 0
fi

installpath=$1
install -c -m 755 ./bin/linm $installpath
install -c -m 755 ./sh/linm.sh $installpath

if test -w /usr/share/locale/ko/LC_MESSAGES; then 
	install -c -m 644 ./locale/linm_euckr.mo ./locale/linm_utf8.mo /usr/share/locale/ko/LC_MESSAGES 
fi
	
if test -w /etc/profile.d ; then 
	install -c -m 755 ./sh/linm_alias.sh /etc/profile.d 
fi
	
if ! test -d /etc/linm ; then \
	if test -w /etc ; then \
		mkdir /etc/linm \
	; fi \
; fi 
if ! test -d ~/.linm ; then \
	mkdir ~/.linm \
; fi 

if test -w /etc ; then \
	install -c -m 644 ./sh/default.cfg \
					./sh/colorset.cfg \
					./sh/keyset.cfg \
					/etc/linm/ \
; else \
	install -c -m 644 ./sh/default.cfg \
					./sh/colorset.cfg \
					./sh/keyset.cfg \
					~/.linm/ \
; fi

echo "Install complite..."

